/**
 * apeman template of scss files.
 * @memberof module:apeman-tmpl-scss/lib
 * @function load
 * @param {object} params - Template params.
 * @param {string} [mode='644'] - File permission.
 * @param {boolean} [force=false] - Override or not.
 * @returns {object} - Coz bud configuration.
 */

"use strict";

var argx = require('argx'),
    assert = require('assert'),
    _tmpl = require('./_tmpl');

/** @lends load */
function load(params, mode, force) {
    var args = argx(arguments);
    params = args.shift('object');

    assert(params.type, "params.type is required.");
    return {
        force: !!force,
        mode: mode || '644',
        get tmpl() {
            var tmpl = _tmpl(params.type);
            assert.ok(tmpl, "Type not found: " + params.type);
            return tmpl;
        },
        data: {
            params: params
        }
    }
}

module.exports = load;
